Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.util
Class LaTeXObjectMatrixFormatter

    java.lang.Object
      cern.colt.PersistentObject
          cern.colt.matrix.impl.AbstractFormatter
              cern.colt.matrix.objectalgo.Formatter
                  umontreal.iro.lecuyer.util.LaTeXObjectMatrixFormatter

All Implemented Interfaces:
  Serializable, Cloneable

    public class LaTeXObjectMatrixFormatter

extends Formatter

See Also:
  Serialized Form

Field Summary
`protected String` | `envName`
`protected boolean` | `formatHeader`
`protected int` | `lineSepCol`

Fields inherited from class cern.colt.matrix.impl.AbstractFormatter
`alignment, CENTER, columnSeparator, DECIMAL, DEFAULT_COLUMN_SEPARATOR, DEFAULT_MIN_COLUMN_WIDTH, DEFAULT_ROW_SEPARATOR, DEFAULT_SLICE_SEPARATOR, factory, format, LEFT, minColumnWidth, printShape, RIGHT, rowSeparator, sliceSeparator`

Constructor Summary
`LaTeXObjectMatrixFormatter()` Constructs and returns a matrix formatter with alignment <tt>LEFT</tt>.
`LaTeXObjectMatrixFormatter(String alignment)` Constructs and returns a matrix formatter.

Method Summary
`LaTeXObjectMatrixFormatter` | `clone()`
`protected String` | `form(AbstractMatrix1D matrix, int index, Former formatter)` Converts a given cell to a String; no alignment considered.
`protected String` | `form(ObjectMatrix1D matrix, int index, Former formatter)` Converts a given cell to a String; no alignment considered.
`protected String[][]` | `format(AbstractMatrix2D matrix)` Returns a string representations of all cells; no alignment considered.
`protected String[][]` | `format(ObjectMatrix2D matrix)` Returns a string representations of all cells; no alignment considered.
`protected String` | `toString(AbstractMatrix2D matrix)` Returns a string representation of the given matrix.
`String` | `toString(ObjectMatrix1D matrix)` Returns a string representation of the given matrix.
`String` | `toString(ObjectMatrix2D matrix)` Returns a string representation of the given matrix.
`String` | `toString(ObjectMatrix3D matrix)` Returns a string representation of the given matrix.
`String` | `toTitleString(ObjectMatrix2D matrix, String[] rowNames, String[] columnNames, String rowAxisName, String columnAxisName, String title)` Returns a string representation of the given matrix with axis as well as rows and columns labeled.
`String` | `toTitleString(ObjectMatrix3D matrix, String[] sliceNames, String[] rowNames, String[] columnNames, String sliceAxisName, String rowAxisName, String columnAxisName, String title)` Returns a string representation of the given matrix with axis as well as rows and columns labeled.

Methods inherited from class cern.colt.matrix.objectalgo.Formatter
`toSourceCode, toSourceCode, toSourceCode`

Methods inherited from class cern.colt.matrix.impl.AbstractFormatter
`align, alignmentCode, alignRow, blanks, demo1, demo2, demo3, formatRow, lead, repeat, setAlignment, setColumnSeparator, setFormat, setMinColumnWidth, setPrintShape, setRowSeparator, setSliceSeparator, setupBlanksCache, shape, shape, shape, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### formatHeader

    protected boolean formatHeader

### envName

    protected String envName

### lineSepCol

    protected int lineSepCol

Constructor Detail

### LaTeXObjectMatrixFormatter

    public LaTeXObjectMatrixFormatter()

  Constructs and returns a matrix formatter with alignment <tt>LEFT</tt>.

### LaTeXObjectMatrixFormatter

    public LaTeXObjectMatrixFormatter(String alignment)

  Constructs and returns a matrix formatter.

  Parameters:
    `alignment` - the given alignment used to align a column.

Method Detail

### form

    protected String form(AbstractMatrix1D matrix,
                          int index,
                          Former formatter)

  Converts a given cell to a String; no alignment considered.

  Overrides:
    `form` in class `Formatter`

### form

    protected String form(ObjectMatrix1D matrix,
                          int index,
                          Former formatter)

  Converts a given cell to a String; no alignment considered.

  Overrides:
    `form` in class `Formatter`

### format

    protected String[][] format(AbstractMatrix2D matrix)

  Returns a string representations of all cells; no alignment considered.

  Overrides:
    `format` in class `Formatter`

### format

    protected String[][] format(ObjectMatrix2D matrix)

  Returns a string representations of all cells; no alignment considered.

  Overrides:
    `format` in class `Formatter`

### toString

    protected String toString(AbstractMatrix2D matrix)

  Returns a string representation of the given matrix.

  Overrides:
    `toString` in class `Formatter`
  Parameters:
    `matrix` - the matrix to convert.

### toString

    public String toString(ObjectMatrix1D matrix)

  Returns a string representation of the given matrix.

  Overrides:
    `toString` in class `Formatter`
  Parameters:
    `matrix` - the matrix to convert.

### toString

    public String toString(ObjectMatrix2D matrix)

  Returns a string representation of the given matrix.

  Overrides:
    `toString` in class `Formatter`
  Parameters:
    `matrix` - the matrix to convert.

### toString

    public String toString(ObjectMatrix3D matrix)

  Returns a string representation of the given matrix.

  Overrides:
    `toString` in class `Formatter`
  Parameters:
    `matrix` - the matrix to convert.

### toTitleString

    public String toTitleString(ObjectMatrix2D matrix,
                                String[] rowNames,
                                String[] columnNames,
                                String rowAxisName,
                                String columnAxisName,
                                String title)

  Returns a string representation of the given matrix with axis as well as rows and columns labeled. Pass <tt>null</tt> to one or more parameters to indicate that the corresponding decoration element shall not appear in the string converted matrix.

  Overrides:
    `toTitleString` in class `Formatter`
  Parameters:
    `matrix` - The matrix to format.
    `rowNames` - The headers of all rows (to be put to the left of the matrix).
    `columnNames` - The headers of all columns (to be put to above the matrix).
    `rowAxisName` - The label of the y-axis.
    `columnAxisName` - The label of the x-axis.
    `title` - The overall title of the matrix to be formatted.
  Returns:
    the matrix converted to a string.

### toTitleString

    public String toTitleString(ObjectMatrix3D matrix,
                                String[] sliceNames,
                                String[] rowNames,
                                String[] columnNames,
                                String sliceAxisName,
                                String rowAxisName,
                                String columnAxisName,
                                String title)

  Returns a string representation of the given matrix with axis as well as rows and columns labeled. Pass <tt>null</tt> to one or more parameters to indicate that the corresponding decoration element shall not appear in the string converted matrix.

  Overrides:
    `toTitleString` in class `Formatter`
  Parameters:
    `matrix` - The matrix to format.
    `sliceNames` - The headers of all slices (to be put above each slice).
    `rowNames` - The headers of all rows (to be put to the left of the matrix).
    `columnNames` - The headers of all columns (to be put to above the matrix).
    `sliceAxisName` - The label of the z-axis (to be put above each slice).
    `rowAxisName` - The label of the y-axis.
    `columnAxisName` - The label of the x-axis.
    `title` - The overall title of the matrix to be formatted.
  Returns:
    the matrix converted to a string.

### clone

    public LaTeXObjectMatrixFormatter clone()

  Overrides:
    `clone` in class `PersistentObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.